package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.NationalityRepository;
import com.realnet.vpspack.Entity.Nationality
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class NationalityService {
@Autowired
private NationalityRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Nationality Savedata(Nationality data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Nationality save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Nationality> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Nationality> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Nationality> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Nationality getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Nationality update(Nationality data,Integer id) {
	Nationality old = Repository.findById(id).get();
old.setNationality(data.getNationality());

old.setVisa_status(data.getVisa_status());

final Nationality test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
